Bug 191358 - Review Request: python-mechanize - Stateful programmatic web browsing
Review Request: python-mechanize - Stateful programmatic web browsing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-11 01:35 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-14 17:08:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-05-11 01:35:55 EDT
Spec URL: http://people.redhat.com/lmacken/python-mechanize.spec
SRPM URL: http://people.redhat.com/lmacken/python-mechanize-0.1.1a-1.src.rpm
Description:
Stateful programmatic web browsing, after Andy Lester's Perl module
WWW::Mechanize.

The library is layered: mechanize.Browser (stateful web browser),
mechanize.UserAgent (configurable URL opener), plus urllib2 handlers.

Features include: ftp:, http: and file: URL schemes, browser history,
high-level hyperlink and HTML form support, HTTP cookies, HTTP-EQUIV and
Refresh, Referer [sic] header, robots.txt, redirections, proxies, and
Basic and Digest HTTP authentication.  mechanize's response objects are
(lazily-) .seek()able and still work after .close().

Much of the code originally derived from Perl code by Gisle Aas
(libwww-perl), Johnny Lee (MSIE Cookie support) and last but not least
Andy Lester (WWW::Mechanize).  urllib2 was written by Jeremy Hylton.
Comment 1 Aurelien Bompard 2006-05-14 11:29:32 EDT
Needs work:
* The package cannot be noarch since it installs files to %{_libdir}
* Missing from python spec template:
Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Comment 3 Aurelien Bompard 2006-05-14 16:29:40 EDT
Review for release 2:
* RPM name is OK
* Source mechanize-0.1.1a.tar.gz is the same as upstream
* It is the latest version (checked with the included example :) )
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine (tested with the included examples)

APPROVED
Comment 4 Luke Macken 2006-05-14 17:08:24 EDT
Imported, FC-{4,5} CVS branches requested, devel branch tagged and build requested.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.